Subject: Problems with Boolean - possible bug
From: [email-masked] (Joey Mukherjee)

17 Sep 1998 15:50:20 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

I have a problem which might be on my end, but I don't know of an easy way to 
solve it and possibly someone else does.

Anyway, here goes:

I have some code which is as follows:

/*
 * Function:
 *      CONVERT(w, from_string, to_type, to_size, success);
 * Description:
 *      A converter wrapper for convenience from BuilderXcessory.
 * Input:
 *      w - Widget : the widget to use for conversion
 *      from_string - char * : the string to convert from
 *      to_type - char * : the type to convert to
 *      to_size - int : the size of the conversion result
 *      success - Boolean* : Set to the result value of the conversion
 * Output:
 *      None
 */
#ifndef IGNORE_CONVERT
XtPointer CONVERT
    ARGLIST((w, from_string, to_type, to_size, success))
        ARG(Widget, w)
        ARG(char *, from_string)
        ARG(char *, to_type)
        ARG(int, to_size)
        GRA(Boolean *, success)

Notice the last Boolean * (the ARG and GRA are just defines for a b).  Boolean 
is typedefed to a char via the X11 stuff.  However, unless I explicitly make it 
a char, none of my programs will link since it says it can not find CONVERT 
(Widget, char *, char *, int, char *).  If I change the Boolean to a char and 
every external forward reference of CONVERT, it will link fine.

My question is this:  why is making it a char any different from leaving it as 
Boolean since that is what it is typedefed to be?  If I am somewhere redefining 
it, shouldn't it let me know somewhere?  If not, does anyone know of way to help 
find the routine or whatever that might be redefining it?  

BTW, thanks for all the help with the make/imake.  I did just get the usertools 
and the stuff from Mumit's web page.  I thought since I was overwriting cdk with 
Mumit's stuff, I would save a step and just get Mumit's stuff.

Joey

+--------------------------------------------------------------------------+
+     Joey Mukherjee - [email-masked] - http://www.space.swri.edu/~joey     +
+                                                                          +
+    "Here is a test to see if your mission on earth is finished.          +
+      If you are alive, it isn't." -- Francis Bacon (1561-1626)           +
+--------------------------------------------------------------------------+

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".